Last Comment Bug 788241 - configure sometimes fails with "rm: cannot lstat `conftest.exe': Permission denied" followed by "C++ compiler cannot create executables"
: configure sometimes fails with "rm: cannot lstat `conftest.exe': Permission d...
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All Windows 7
: -- normal (vote)
: Thunderbird 18.0
Assigned To: Mark Banner (:standard8)
:
Mentors:
Depends on: 545015 758732
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 12:44 PDT by Mark Banner (:standard8)
Modified: 2014-04-06 12:34 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Port the change (376 bytes, patch)
2012-09-04 12:44 PDT, Mark Banner (:standard8)
bugspam.Callek: review+
standard8: approval‑comm‑beta+
Details | Diff | Review

Description Mark Banner (:standard8) 2012-09-04 12:44:18 PDT
Created attachment 658190 [details] [diff] [review]
Port the change

We're seeing this quite a bit on try server, so I think we should just port this:

+++ This bug was initially created as a clone of Bug #758732 +++

The current delay of 1 is not enough.  As Ehsan has suggested, I'm using timeout of 2 a long time as a local path.  When I sometimes forget to apply it, I get the conftest.exe permission denied error.

Proposing to raise the timeout.
Comment 1 Justin Wood (:Callek) 2012-09-08 00:33:04 PDT
Comment on attachment 658190 [details] [diff] [review]
Port the change

Review of attachment 658190 [details] [diff] [review]:
-----------------------------------------------------------------

this is safe, though increases build times, but rs+=me
Comment 2 Mark Banner (:standard8) 2012-09-08 05:33:34 PDT
(In reply to Justin Wood (:Callek) from comment #1)
> this is safe, though increases build times, but rs+=me

Yes, but only by one second!
Comment 3 Mark Banner (:standard8) 2012-09-08 05:45:34 PDT
Checked in:

https://hg.mozilla.org/comm-central/rev/9eda60139055
Comment 4 Jens Hatlak (:InvisibleSmiley) 2012-09-08 11:18:32 PDT
Bah, I requested this change almost three months ago in bug 733128 comment 3 but got no response. :-(
Comment 5 Mark Banner (:standard8) 2012-11-12 08:10:54 PST
Comment on attachment 658190 [details] [diff] [review]
Port the change

[Triage Comment]
Just seen this on the new ESR branch we're setting up. I don't really want to risk hitting this on 17/esr, so taking forward onto beta now as a non-code change.
Comment 6 Mark Banner (:standard8) 2012-11-12 08:12:15 PST
https://hg.mozilla.org/releases/comm-beta/rev/6ac7d8c3e2f0
Comment 7 Honza Bambas (:mayhemer) 2014-04-06 12:34:52 PDT
Still there... but rarely.

Note You need to log in before you can comment on or make changes to this bug.